.menu {
  padding-top: 25px;
  padding-bottom: 25px;
  position: relative;

  &__nav-mobile{
    display: none;
    opacity: 0;
  }
  &__nav-mobile-active{
    display: flex;
    opacity: 1;
    flex-direction: column;
    justify-content: left;
    background-color: #F5F5F5;
    width: 180px;
    position: absolute;
    right: 0;
  }

  &__nav-item{
    text-transform: uppercase;
    font-size: 11px;
    padding: 7px 0 7px 15px;

    &:hover{
      background-color: #E5E5E5;
      color: #57A4A4;
    }
  }
}
.menu-btn {
  margin-left: auto;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  background-color: #000000;
  padding: 13px;
  width: 45px;
  height: 40px;
  border: none;
  outline: none;

  &__line {
    width: 100%;
    display: block;
    height: 2px;
    background-color: white;
    transition: 0.5s transform linear;
  }
}
.menu-btn-active{
  overflow: hidden;
  &>.menu-btn__line{
    width: 100%;
    display: block;
    height: 2px;
    background-color: white;
    &:first-child{
      transform: translate(0px, 7px) rotate(45deg);

    }
    &:nth-child(2){
      transform: translate(500000000px, 0px);
    }
    &:last-child{
      transform: translate(0px, -5px) rotate(-45deg);
    }
  }
}
.menu-btn:hover .menu__nav-mobile{
  background-color: red;
  padding: 13px;
  width: 45px;
  height: 40px;
  border: none;
  outline: none;
}
